package com.ruoyi.quote.mapper;

import com.ruoyi.quote.domain.CalculateRBParamDto;
import com.ruoyi.quote.domain.MaterialDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @ClassName QuoteMapper
 * @Description TODO
 * @Author JIAL
 * @Date 2024/3/5 16:07
 * @Version 1.0
 */
public interface QuoteMapper {
    List<MaterialDto> selectMaterialListByParam(@Param("precMaterialName") String precMaterialName,
                                               @Param("vagueMaterialName")String vagueMaterialName,
                                               @Param("vagueModel") String vagueModel);

    List<CalculateRBParamDto> queryRedBCostByParams(@Param("params") List<CalculateRBParamDto> params);

    List<CalculateRBParamDto> queryRedBPriceByParams(@Param("params") List<CalculateRBParamDto> params);

    String queryRedBookVer();

    String queryRedBookLocalVer();
}
